Bug 1115122 - Review Request: zsh-lovers - A collection of tips, tricks and examples for the Z shell
Summary: Review Request: zsh-lovers - A collection of tips, tricks and examples for th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 15:23 UTC by Christopher Meng
Modified: 2014-07-26 02:36 UTC (History)
3 users (show)

Fixed In Version: zsh-lovers-0.9.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-07 12:11:20 UTC
Type: ---
jtfas90: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-07-01 15:23:15 UTC
Spec URL: http://us-la.cicku.me/zsh-lovers.spec
SRPM URL: http://us-la.cicku.me/zsh-lovers-0.9.0-1.fc21.src.rpm
Description: zsh-lovers is a small project which tries to collect tips, tricks and examples for the Z shell.

This package only ships a manpage of the collection.
Fedora Account System Username: cicku

Comment 1 Jason Taylor 2014-07-02 12:09:29 UTC
Hi Christopher, I was taking an informal look and I was wondering about the Source0, should it be:

http://deb.grml.org/pool/main/z/zsh-lovers/%{name}_%{version}.tar.gz

instead of

http://deb.grml.org/pool/main/z/zsh-lovers/zsh-lovers_%{version}.tar.gz ?

outside of my Source0 question rpmlint was just complaining about spelling:

zsh-lovers.src: W: spelling-error %description -l en_US manpage -> manage, man page, man-page

which seems extraneous. Looked okay otherwise.

Comment 2 Christopher Meng 2014-07-02 12:12:48 UTC
(In reply to Jason Taylor from comment #1)
> Hi Christopher, I was taking an informal look and I was wondering about the
> Source0, should it be:
> 
> http://deb.grml.org/pool/main/z/zsh-lovers/%{name}_%{version}.tar.gz
> 
> instead of
> 
> http://deb.grml.org/pool/main/z/zsh-lovers/zsh-lovers_%{version}.tar.gz ?
> 
> outside of my Source0 question rpmlint was just complaining about spelling:

It's not a problem, packagers should be able to choose what he/she wants. To me, well, I only use %{name} to cover when the original name is pretty long. 

It's a good idea, I may change it before SCM import.

Thanks.

Comment 3 Jason Taylor 2014-07-03 11:26:23 UTC
Grabbing for a formal review

Comment 4 Jason Taylor 2014-07-04 02:40:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zsh-lovers-0.9.0-1.fc20.noarch.rpm
          zsh-lovers-0.9.0-1.fc20.src.rpm
zsh-lovers.noarch: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
zsh-lovers.src: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint zsh-lovers
zsh-lovers.noarch: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
zsh-lovers (rpmlib, GLIBC filtered):



Provides
--------
zsh-lovers:
    zsh-lovers



Source checksums
----------------
http://deb.grml.org/pool/main/z/zsh-lovers/zsh-lovers_0.9.0.tar.gz :
  CHECKSUM(SHA256) this package     : fd97f0ca69180a86acd6330acc013553cb978af3ce2c1e9e7755a9eaa92c239b
  CHECKSUM(SHA256) upstream package : fd97f0ca69180a86acd6330acc013553cb978af3ce2c1e9e7755a9eaa92c239b

Looks good, unless Lubo has any objections, I will mark this as approved tomorrow (Friday). Since this is my first formal review I cc'd him on this as he is my sponsor to make sure I don't mess anything up.

Comment 5 Christopher Meng 2014-07-05 05:47:06 UTC
Thanks.

New Package SCM Request
=======================
Package Name: zsh-lovers
Short Description: A collection of tips, tricks and examples for the Z shell
Upstream URL: http://grml.org/zsh/#zshlovers
Owners: cicku
Branches: f19 f20 el6 epel7

Comment 6 Gwyn Ciesla 2014-07-07 11:59:00 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-07-07 12:21:13 UTC
zsh-lovers-0.9.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zsh-lovers-0.9.0-1.fc19

Comment 8 Fedora Update System 2014-07-07 12:21:19 UTC
zsh-lovers-0.9.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-lovers-0.9.0-1.fc20

Comment 9 Fedora Update System 2014-07-07 12:21:24 UTC
zsh-lovers-0.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zsh-lovers-0.9.0-1.el6

Comment 10 Fedora Update System 2014-07-17 04:28:34 UTC
zsh-lovers-0.9.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-17 04:32:54 UTC
zsh-lovers-0.9.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-07-26 02:36:28 UTC
zsh-lovers-0.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.